digest-0.0.1.2: Various cryptographic hashes for bytestrings; CRC32 and Adler32 for now.

Copyright | (c) 2008 Eugene Kirpichov
License | BSD-style
Maintainer | ekirpichov@gmail.com
Stability | experimental
Portability | portable (H98 + FFI)
Safe Haskell | None
Language | Haskell98

Data.Digest.CRC32

Description

CRC32 wrapper

Synopsis

- class CRC32 a where
  - crc32 :: a -> Word32
  - crc32Update :: Word32 -> a -> Word32

# Documentation

class CRC32 a where Source

The class of values for which CRC32 may be computed

Minimal complete definition

crc32Update

Methods

crc32 :: a -> Word32 Source

Compute CRC32 checksum

crc32Update :: Word32 -> a -> Word32 Source

Given the CRC32 checksum of a string, compute CRC32 of its concatenation with another string (t.i., incrementally update the CRC32 hash value)

Instances

CRC32 ByteString Source |
CRC32 ByteString Source |
CRC32 [Word8] Source |